package enum

type PlantCalorificValue int

const (
	LowCalorificValue PlantCalorificValue = iota + 1
	MediumCalorificValue
	HighCalorificValue
)

func (p PlantCalorificValue) String() string {
	switch p {
	case LowCalorificValue:
		return "Low"

	case MediumCalorificValue:
		return "Medium"

	case HighCalorificValue:
		return "High"

	}

	return ""
}
