package enum

type PlantHeight int

const (
	LowPlantHeight PlantHeight = iota + 1
	MediumPlantHeight
	HighPlantHeight
)

func (p PlantHeight) String() string {
	switch p {
	case LowPlantHeight:
		return "Low"

	case MediumPlantHeight:
		return "Medium"

	case HighPlantHeight:
		return "High"

	}

	return ""
}
