package layer

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"

	rl "github.com/gen2brain/raylib-go/raylib"
)

func WorldBackground(c game.Config, s game.State) {
	for x := 0; x < c.MapSize; x++ {
		for y := 0; y < c.MapSize; y++ {
			filter := rl.Gray
			
			c.Textures.TileSet[s.World.Map[x][y]].Height = c.TileSize
			c.Textures.TileSet[s.World.Map[x][y]].Width = c.TileSize
			rl.DrawTexture(c.Textures.TileSet[s.World.Map[x][y]], int32(x)*c.TileSize, int32(y)*c.TileSize, filter)
		}
	}
}
