package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func GardenSelectNextRow(c game.Config, s game.State) game.State {
	if !rl.IsKeyPressed(rl.KeyDown) {
		return s
	}

	s.World.Garden.CurrentCellIndex += s.World.Garden.ColumnsCount
	s.World.Garden.CurrentCellIndex %= s.World.Garden.ColumnsCount * s.World.Garden.RowsCount
	return s
}
