package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/enum"
	"bitbucket.org/nimblebet/raystuff/internal/game"
	"bitbucket.org/nimblebet/raystuff/internal/raygui"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func InitialSettings(c game.Config, s game.State) game.State {
	if len(s.Username) >= 2 && rl.IsKeyPressed(rl.KeyEnter) {
		s = LoadFirstWorld(c, s)

		s.CurrentScreen = enum.Lab

		return s
	}

	inputWidth := float32(150)
	inputHeight := float32(20)

	inputRec := rl.NewRectangle(float32(rl.GetScreenWidth()/2)-(inputWidth/2), float32(rl.GetScreenHeight()/2)-(inputHeight/2), inputWidth, inputHeight)
	s.Username = raygui.TextBox(inputRec, s.Username)

	rl.DrawText("Username ", int32(inputRec.X), int32(inputRec.Y-inputHeight), 20, rl.White)

	return s
}
