package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/enum"
	"bitbucket.org/nimblebet/raystuff/internal/game"
	"bitbucket.org/nimblebet/raystuff/internal/generator"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func LoadNextLevel(c game.Config, s game.State) game.State {
	if s.World.IsFinal {
		s.CurrentScreen = enum.Menu
		return s
	}
	s.World = game.World{
		Map: generator.Map(c.LabMapSize),
		Player: game.Entity{
			Position: rl.RectangleInt32{
				X: 15,
				Y: 13,
			},
		},
		IsFinal: true,
	}

	return s
}
