package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/enum"
	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func ToggleScreen(c game.Config, s game.State) game.State {
	if rl.IsKeyPressed(rl.KeyF) {
		switch s.CurrentScreen {
		case enum.Lab:
			s.CurrentScreen = enum.Garden

		case enum.Garden:
			s.CurrentScreen = enum.Lab
		}
	}

	return s
}
