package initializer

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"
	"bitbucket.org/nimblebet/raystuff/internal/mutator"
	"bitbucket.org/nimblebet/raystuff/internal/mux"
)

func MenuMux() func(game.Config, game.State) game.State {
	eventProcessor := mux.EventProcessor(
		[]mux.Event{
			mux.Event{
				Handler: mutator.InitialSettings,
			},
		},
	)

	return eventProcessor
}
