package layer

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func Lose(c game.Config, s game.State) {
	y := float32(32)
	x := float32(rl.GetScreenWidth()/2 - 512/2)

	rl.DrawTextureEx(c.Textures.LoseBackground, rl.NewVector2(x, y), 0, 2, rl.White)

	rl.DrawText("You could not save the planet.", int32(rl.GetScreenWidth()/2)-150, int32(rl.GetScreenHeight()/2), 20, rl.White)

	rl.DrawText("Press [F] to try again", 30, int32(rl.GetScreenHeight()-25), 20, rl.White)
}
