package layer

import (
	"fmt"

	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func TaskWindow(c game.Config, s game.State) {
	y := float32(32)
	x := float32(rl.GetScreenWidth()/2 - 512/2)

	rl.DrawTextureEx(c.Textures.TaskWindow, rl.NewVector2(x, y), 0, 2, rl.White)

	text := fmt.Sprintf("You need to grow:\nFamily: %v\nHeight: %v\nCalorificValue: %v", s.World.PlantToGrow.Family, s.World.PlantToGrow.Height, s.World.PlantToGrow.CalorificValue)

	rl.DrawText(text, int32(rl.GetScreenWidth()/2-93), int32(x), 18, rl.White)

	rl.DrawText("[E] - to close task", 30, int32(rl.GetScreenHeight()-20-32), 20, rl.White)

}
