package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func GardenSelectNextCell(c game.Config, s game.State) game.State {
	if !rl.IsKeyPressed(rl.KeyRight) {
		return s
	}

	s.World.Garden.CurrentCellIndex++

	if s.World.Garden.CurrentCellIndex%s.World.Garden.ColumnsCount == 0 {
		s.World.Garden.CurrentCellIndex -= s.World.Garden.ColumnsCount
	}

	return s
}
