package mutator

import (
	"bitbucket.org/nimblebet/raystuff/internal/game"
	rl "github.com/gen2brain/raylib-go/raylib"
)

func GardenSelectPreviousRow(c game.Config, s game.State) game.State {
	if !rl.IsKeyPressed(rl.KeyUp) {
		return s
	}

	s.World.Garden.CurrentCellIndex -= s.World.Garden.ColumnsCount
	if s.World.Garden.CurrentCellIndex < 0 {
		s.World.Garden.CurrentCellIndex = s.World.Garden.ColumnsCount*s.World.Garden.RowsCount + s.World.Garden.CurrentCellIndex
	}
	return s
}
