package mutator

import (
	"math"

	"bitbucket.org/nimblebet/raystuff/internal/game"
)

func MovePlayerLeft(c game.Config, s game.State) game.State {
	prevPosition := s.World.Player.Position.X

	if s.World.Player.Position.X == 0 {
		s.World.Player.Position.X = int32(c.MapSize)
	}
	if s.World.Map[int32(math.Abs(float64(s.World.Player.Position.X-1)))%int32(c.MapSize)][int32(math.Abs(float64(s.World.Player.Position.Y)))%int32(c.MapSize)] != 8 {
		s.World.Player.Position.X = prevPosition
		return s
	}

	s.World.Player.Position.X = int32(math.Abs(float64(s.World.Player.Position.X-1))) % int32(c.MapSize)

	return s
}
