package mutator

import (
	"math"

	"bitbucket.org/nimblebet/raystuff/internal/game"
)

func MovePlayerRight(c game.Config, s game.State) game.State {
	if s.World.Map[int32(math.Abs(float64(s.World.Player.Position.X+1)))%int32(c.MapSize)][int32(math.Abs(float64(s.World.Player.Position.Y)))%int32(c.MapSize)] != 8 {
		return s
	}

	s.World.Player.Position.X = int32(math.Abs(float64(s.World.Player.Position.X+1))) % int32(c.MapSize)
	return s
}
